MRRecord (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS

## Class MRRecord

- java.lang.Object
- - org.xbill.DNS.Record
  - - org.xbill.DNS.MRRecord

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable

      public class MRRecord
      extends Record

  Mailbox Rename Record - specifies a rename of a mailbox.
  Author:
    Brian Wellington
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Name` | `singleName`

    - ### Fields inherited from class org.xbill.DNS.Record

      `dclass, name, ttl, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MRRecord(Name name, int dclass, long ttl, Name newName)` Creates a new MR Record with the given data

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Name` | `getNewName()` Gets the new name of the mailbox specified by the domain
    `protected Name` | `getSingleName()`

    - ### Methods inherited from class org.xbill.DNS.Record

      `byteArrayFromString, byteArrayToString, compareTo, equals, fromString, fromString, fromWire, getAdditionalName, getDClass, getName, getRRsetType, getTTL, getType, hashCode, newRecord, newRecord, newRecord, newRecord, rdataToString, rdataToWireCanonical, sameRRset, toString, toWire, toWireCanonical, unknownToString, withName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### singleName

          protected Name singleName

  - ### Constructor Detail

    - #### MRRecord

          public MRRecord(Name name,
                  int dclass,
                  long ttl,
                  Name newName)

      Creates a new MR Record with the given data
      Parameters:
        `newName` - The new name of the mailbox specified by the domain. domain.

  - ### Method Detail

    - #### getNewName

          public Name getNewName()

      Gets the new name of the mailbox specified by the domain

    - #### getSingleName

          protected Name getSingleName()